<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

<nz-card [nzBordered]="false">
    <ng-template #title>
        <#if view.isShowCaptionBar() && view.getCaption()?? && view.getCaption() != ""><span>${view.getCaption()}</span></#if>
    </ng-template>

    <#if toolbar??>
    ${toolbar.code}
    </#if>

    <div style="width:calc(100% - 120px);float:left;">
        <#if searchform??>
        ${searchform.code}
        </#if>
    </div>
    <div style="width:120px;float:left;text-align:right;">
        <nz-dropdown [nzPlacement]="'bottomRight'" [nzTrigger]="'click'">
            <a style="border:1px solid #d9d9d9;padding:4px;" class="ant-dropdown-link" title="改变视图类型" nz-dropdown>
                <i class="fa fa-list-alt"></i>
                <i class="anticon anticon-down"></i>
            </a>
            <ul nz-menu>
                <li nz-menu-item nzDisable>
                    <a >查看</a>
                </li>
                <li nz-menu-item>
                    <a (click)="viewTypeChange('listgrid')">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;列表</a>
                </li>
                <li nz-menu-item>
                    <a (click)="viewTypeChange('grid')">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;详细视图</a>
                </li>
            </ul>
        </nz-dropdown>
    </div>

    <div style="width:100%;float:left;" *ngIf="$gridType == 'listgrid'">
        <div style="width: 240px;float:left;">
            <div style="display:block;">

                <#if view.hasPSControl('LISTGRID')>
                <#assign gridctrl = view.getPSControl('LISTGRID')/>
                <#if !gridctrl.isNoSort()>
                <div>
                    <span style="cursor:pointer;"(click)='dataListFiledSort()' class="grid-view-sort-fild">按&nbsp;&nbsp;{{$sortFieldName}}&nbsp;&nbsp;排序&nbsp;&nbsp;
                            <span>
                                <i class="fa" [ngClass]="{'fa-arrow-up':$sortDirection == 'desc','fa-arrow-down':$sortDirection == 'asc'}"></i>
                            </span>
                        </span>
                    &nbsp;&nbsp;
                    <span class="grid-view-choice-fild">
                        <nz-dropdown>
                            <a class="ant-dropdown-link" title="选择用于排序的字段" nz-dropdown>
                                <i class="anticon anticon-down"></i>
                            </a>
                            <ul nz-menu>

                                <#if gridctrl.getAllPSDEGridColumns()??>
                                <#list gridctrl.getAllPSDEGridColumns() as column>
                                <#if column.getColumnType() = 'DEFGRIDCOLUMN' && column.isEnableSort()>
                                <li nz-menu-item>
                                    <a (click)="dataListSort('${column.getCodeName()}','${column.getCaption()}')" >${column.getCaption()}</a>
                                </li>
                                </#if>
                                </#list>
                                </#if>
        
                            </ul>
                        </nz-dropdown>
                    </span>
                </div>
                </#if>
                </#if>

                <#if listgrid??>
                ${listgrid.code}
                </#if>
            </div>
        </div>
        <div style="width: calc(100% - 240px);float:left;">
            <#if view.getControl('DRTAB')??>
            <#assign drtab = view.getControl('DRTAB')/>

            <#assign drview = 0/>
            <#list drtab.getPSDEDRCtrlItems() as item>
            <#if item.getPSAppView()??>
            <#assign drview += 1/>
            </#if>
            </#list>

            <#if drview != 0>
            <nz-tabset>
                <#if drtab.getFormPSAppView()??>
                <#assign editview9 = drtab.getFormPSAppView()/>
                <nz-tab >
                    <ng-template #nzTabHeading>
                        ${editview9.getCaption()}
                    </ng-template>
                    <span><app-${ngfilename('${editview9.codeName}')} [relationParam]="$selectItem"></app-${ngfilename('${editview9.codeName}')}></span>
                </nz-tab>
                </#if>
    
                <#list drtab.getPSDEDRCtrlItems() as item>
                <#if item.getPSAppView()??>
                <#assign drview = item.getPSAppView()/>
                <nz-tab >
                    <ng-template #nzTabHeading>
                        ${item.getCaption()}
                    </ng-template>
                    <span><app-${ngfilename('${drview.codeName}')} [relationParam]="$selectItem" [viewParam]='${item.getViewParamJO().toString()}'></app-${ngfilename('${drview.codeName}')}></span>
                </nz-tab>
                
                </#if>
                </#list>
            </nz-tabset>
            <#else>

            <#if drtab.getFormPSAppView()??>
            <#assign editview9 = drtab.getFormPSAppView()/>
            <app-${ngfilename('${editview9.codeName}')} [relationParam]="$selectItem"></app-${ngfilename('${editview9.codeName}')}>
            </#if>

            </#if>
            

            </#if>
        </div>
    </div>
    <div style="width:100%;float:left;" *ngIf="$gridType == 'grid'">
        <#if grid??>
        ${grid.code}
        </#if>
    </div>
</nz-card>