<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from '../../../shared/shared.module';

import { IBizComponentsModule } from '../../../ibizsys/components/ibiz-components.module';

import { ${view.codeName}Component } from './${viewname}';
import { ${view.codeName}ModalService } from './${viewname}-modalservice';

<#list modalviews as modalview>
import { ${modalview.codeName}Module } from '../../../pages/${ngfilename('${modalview.getPSAppModule().codeName}')}/${ngfilename('${modalview.codeName}')}/${ngfilename('${modalview.codeName}')}.module';
</#list>

<#if view.getControl('DRTAB')??>
<#assign drtab = view.getControl('DRTAB')/>

<#if drtab.getFormPSAppView()??>
<#assign editview9 = drtab.getFormPSAppView()/>
import { ${editview9.codeName}Module } from '../../../pages/${ngfilename('${editview9.getPSAppModule().codeName}')}/${ngfilename('${editview9.codeName}')}/${ngfilename('${editview9.codeName}')}.module';
</#if>

<#list drtab.getPSDEDRCtrlItems() as item>
<#if item.getPSAppView()??>
<#assign drview = item.getPSAppView()/>
import { ${drview.codeName}Module } from '../../../pages/${ngfilename('${drview.getPSAppModule().codeName}')}/${ngfilename('${drview.codeName}')}/${ngfilename('${drview.codeName}')}.module';
</#if>
</#list>

</#if>


@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    IBizComponentsModule,
    <#list modalviews as modalview>
    ${modalview.codeName}Module,
    </#list>
    
    <#if view.getControl('DRTAB')??>
    <#assign drtab = view.getControl('DRTAB')/>

    <#if drtab.getFormPSAppView()??>
    <#assign editview9 = drtab.getFormPSAppView()/>
    ${editview9.codeName}Module,
    </#if>

    <#list drtab.getPSDEDRCtrlItems() as item>
    <#if item.getPSAppView()??>
    <#assign drview = item.getPSAppView()/>
    ${drview.codeName}Module,
    </#if>
    </#list>

    </#if>
  ],
  exports: [
    ${view.codeName}Component
  ],
  declarations: [
    ${view.codeName}Component,
  ],
  entryComponents: [
    ${view.codeName}Component,
  ],
  providers: [
    ${view.codeName}ModalService
  ]
})
export class ${view.codeName}Module { }